Privage Open API
    Privage Open API
    Open API
    • Open API
    • Welcome to Privage Open API Documents
    • Get Access Token
      POST
    • Add Point
      POST
    • Get Profile
      GET
    • Burn Point
      POST
    • Void Transaction By Id
      DELETE
    • Void Transaction By RefNo
      DELETE
    • Void Transaction By RefId
      DELETE
    • Get Campaign
      GET
    • Get Transaction
      GET

      Burn Point

      สำหรับผู้ใช้ทั่วไป (Privage Open API)
      https://core.privageapp.com
      สำหรับผู้ใช้ทั่วไป (Privage Open API)
      https://core.privageapp.com
      POST
      /api/v1/connect/burn/points
      ทำการใช้คะแนนสมาชิกโดยตรง

      Request

      Authorization
      Provide your bearer token in the
      Authorization
      header when making requests to protected resources.
      Example:
      Authorization: Bearer ********************
      Body Params application/json

      Examples

      Responses

      🟢201สำเร็จ
      application/json
      Body

      🟠401Unauthorized
      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location --request POST 'https://core.privageapp.com/api/v1/connect/burn/points' \
      --header 'Authorization: Bearer <token>' \
      --header 'Content-Type: application/json' \
      --data-raw '{
          "phoneNumber": "string",
          "cardNo": "string",
          "points": 0,
          "refNo": "string"
      }'
      Response Response Example
      201 - Example 1
      {
          "message": "string",
          "cardNo": "string",
          "point": 0
      }
      Modified at 2026-02-18 08:03:53
      Previous
      Get Profile
      Next
      Void Transaction By Id
      Built with